Bug 478676 - Synaptics driver (0.15.2-1.fc10) not working properly. [NEEDINFO]
Synaptics driver (0.15.2-1.fc10) not working properly.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 05:48 EST by Mistral
Modified: 2009-12-18 02:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:28:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (kuhn_316)


Attachments (Terms of Use)
xorg.conf (1.65 KB, text/plain)
2009-01-06 10:40 EST, Mistral
no flags Details

  None (edit)
Description Mistral 2009-01-03 05:48:48 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5

Only scrolling on the right of the touchpad work.
Right and Middle click nonexistent...
Hardware: Dell Inspiron 8600 synaptics touchpad

Reproducible: Always

Steps to Reproduce:
Install synaptics driver ver. 0.15.2-1.fc10 (?)
Actual Results:  
After restarting de graphic server, the touchpad's right/middle click nonexistent.


How correct temporarily : install synaptics driver ver. 0.15.1-3.fc9.i386 of Fedora 9 updates.newkey repository

Steps to correct :
1.# rpm -e xorg-x11-drv-synaptics --nodeps
2.# wget http://download.fedora.redhat.com/pub/fedora/linux/updates/9/i386.newkey/xorg-x11-drv-synaptics-0.15.1-3.fc9.i386.rpm
3.# rpm -Uvh xorg-x11-drv-synaptics* --nodeps
Comment 1 Peter Hutterer 2009-01-04 17:14:18 EST
do you have an xorg.conf? if so, try to add option "TapButton2" and "TapButton3", set to 3 and 2 respectively.

if you don't have an xorg.conf, add the line
<merge key="input.x11_options.TapButton2" type="string">3</merge>

into your /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi. In F10, the easiest is to add it into all three sections you find in this file. You also have to add the same line for TapButton3, with the matching button mapping. After that, restart HAL and then restart X (the order is important).

Let us know how you go with that.
Comment 2 Mistral 2009-01-04 17:44:51 EST
(In reply to comment #1)
> do you have an xorg.conf? if so, try to add option "TapButton2" and
> "TapButton3", set to 3 and 2 respectively.

Yes, I have a xorg.conf (for the nvidia propriatary driver). The touchpad's section:

"Section "InputDevice"
      Identifier "Touchpad"
      Driver "synaptics"
      Option "Device" "/dev/input/mouse0"
      Option "Protocol" "auto-dev"
      Option "LeftEdge" "130"
      Option "RightEdge" "840"
      Option "TopEdge" "130"
      Option "BottomEdge" "640"
      Option "FingerLow" "7"
      Option "FingerHigh" "8"
      Option "MaxTapTime" "180"
      Option "MaxTapMove" "110"
      Option "EmulateMidButtonTime" "75"
      Option "VertScrollDelta" "20"
      Option "HorizScrollDelta" "20"
      Option "MinSpeed" "0.25"
      Option "MaxSpeed" "0.50"
      Option "AccelFactor" "0.250"
      Option "EdgeMotionMinSpeed" "200"
      Option "EdgeMotionMaxSpeed" "200"
      Option "UpDownScrolling" "1"
      Option "CircularScrolling" "1"
      Option "CircScrollDelta" "0.1"
      Option "CircScrollTrigger" "2"
      Option "SHMConfig" "on"
EndSection"

With the synaptics driver 0.15.2-1.fc10, the middle/right click are nonexistent.
With the driver 0.15.1-3.fc9, the same xorg.conf, the middle/right click working.

I will try to add option "TapButton2" and "TapButton3" with the driver 0.15.2-1.fc10. I will post the results tomorow.

Best regards
Comment 3 Peter Hutterer 2009-01-04 18:39:36 EST
As a side-note: remove the option "Device" from the config, it conflicts with option Protocol.

Unfortunately, upstream synaptics changed defaults between 0.15.1 and 0.15.2, so you need to enable some options manually now.
I'm leaving the needinfo in place so we keep getting reminded about this bug.
Comment 4 Mistral 2009-01-05 10:59:48 EST
No changes...
My xorg.conf :

Section "InputDevice"
      Identifier "Touchpad"
      Driver "synaptics"
#      Option "Device" "/dev/input/mouse0"
      Option "Protocol" "auto-dev"
      Option "LeftEdge" "130"
      Option "RightEdge" "840"
      Option "TopEdge" "130"
      Option "BottomEdge" "640"
      Option "FingerLow" "7"
      Option "FingerHigh" "8"
      Option "MaxTapTime" "180"
      Option "MaxTapMove" "110"
      Option "EmulateMidButtonTime" "75"
      Option "VertScrollDelta" "20"
      Option "HorizScrollDelta" "20"
      Option "MinSpeed" "0.25"
      Option "MaxSpeed" "0.50"
      Option "AccelFactor" "0.250"
      Option "EdgeMotionMinSpeed" "200"
      Option "EdgeMotionMaxSpeed" "200"
      Option "UpDownScrolling" "1"
      Option "CircularScrolling" "1"
      Option "CircScrollDelta" "0.1"
      Option "CircScrollTrigger" "2"
      Option "TapButton2" "3"
      Option "TapButton3" "2"
      Option "SHMConfig" "on"
EndSection

Thanks for your help.
Comment 5 Peter Hutterer 2009-01-05 17:22:56 EST
Please attach your Xorg.log file, we need to check if the device is picked up properly.
Do you reference the touchpad from your serverlayout? If not, you must do so.
Comment 6 Mistral 2009-01-06 10:40:26 EST
Created attachment 328286 [details]
xorg.conf
Comment 7 Peter Hutterer 2009-01-06 18:44:48 EST
I'd need your log file please, /var/log/Xorg.0.log usually
Comment 8 Matěj Cepl 2009-02-08 12:24:59 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Bug Zapper 2009-11-18 05:38:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 02:28:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.